---
title: "Variable continue"
weight: 3
output:
blogdown::html_page:
toc: false
fig_width: 6
dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<div id="la-fonction-gf_histogram" class="section level2">
<h2>La fonction gf_histogram</h2>
<p>On s’intéresse à la variable price de la table diamonds, variable quantitative continue donnant le prix en dollars d’un diamant.
La fonction gf_histogram calcule automatiquement les bornes des tranches.</p>
<pre class="r"><code>diamonds |&gt;  mutate(x=cut(price,seq(0,20000,by=1000))) |&gt;  count(x)</code></pre>
<pre><code>## # A tibble: 19 × 2
##    x                     n
##    &lt;fct&gt;             &lt;int&gt;
##  1 (0,1e+03]         14524
##  2 (1e+03,2e+03]      9683
##  3 (2e+03,3e+03]      6129
##  4 (3e+03,4e+03]      4225
##  5 (4e+03,5e+03]      4665
##  6 (5e+03,6e+03]      3163
##  7 (6e+03,7e+03]      2278
##  8 (7e+03,8e+03]      1668
##  9 (8e+03,9e+03]      1307
## 10 (9e+03,1e+04]      1076
## 11 (1e+04,1.1e+04]     934
## 12 (1.1e+04,1.2e+04]   825
## 13 (1.2e+04,1.3e+04]   701
## 14 (1.3e+04,1.4e+04]   603
## 15 (1.4e+04,1.5e+04]   504
## 16 (1.5e+04,1.6e+04]   513
## 17 (1.6e+04,1.7e+04]   425
## 18 (1.7e+04,1.8e+04]   405
## 19 (1.8e+04,1.9e+04]   312</code></pre>
<pre class="r"><code>diamonds |&gt;  gf_histogram(~price)</code></pre>
<p><img src="/chapter5/pages/5.3_files/figure-html/unnamed-chunk-2-1.png" width="672" /></p>
</div>
